# Palette 调色板

<p class="description">通过一些实用的颜色程序类的颜色传达意义。 这也包括了支持带悬停状态（hover states）的样式链接。</p>

## Color 颜色

{{"demo": "pages/system/palette/Color.js", "defaultCodeOpen": false}}

```jsx
<Box color="primary.main">…
<Box color="secondary.main">…
<Box color="error.main">…
<Box color="warning.main">…
<Box color="info.main">…
<Box color="success.main">…
<Box color="text.primary">…
<Box color="text.secondary">…
<Box color="text.disabled">…
```

## 背景颜色

{{"demo": "pages/system/palette/BackgroundColor.js", "defaultCodeOpen": false}}

```jsx
<Box bgcolor="primary.main">…
<Box bgcolor="secondary.main">…
<Box bgcolor="error.main">…
<Box bgcolor="warning.main">…
<Box bgcolor="info.main">…
<Box bgcolor="success.main">…
<Box bgcolor="text.primary">…
<Box bgcolor="text.secondary">…
<Box bgcolor="text.disabled">…
```

## API

```js
import { palette } from '@material-ui/system';
```

| 导入名称      | 属性        | CSS 属性            | Theme key                                                        |
|:--------- |:--------- |:----------------- |:---------------------------------------------------------------- |
| `color`   | `color`   | `color`           | [`palette`](/customization/default-theme/?expand-path=$.palette) |
| `bgcolor` | `bgcolor` | `backgroundColor` | [`palette`](/customization/default-theme/?expand-path=$.palette) |